%define name	cssed
%define version	0.3.0
%define release 2mdk

%define Summary CSS editor for web developers.
%define title	Cssed
%define section "Internet/Web Editors"

Summary:	%Summary
Name:           %name
Version:        %version
Release:        %release
Group:          Development/Other
License:        GPL
Url:            http://cssed.sourceforge.net

Source:         %{name}-%{version}.tar.bz2
Source1:	%name-16.png
Source2:	%name-32.png
Source3:	%name.png

BuildRoot:      %_tmppath/%{name}-%{version}-%{release}-buildroot

Buildrequires:   glib2-devel, gtk2-devel, expat, desktop-file-utils, libcroco-devel
 

%description
cssed is a tiny GTK+ CSS editor and validator for web developers.

%package -n %name-devel
Summary:	Cssed devel file
Requires:	%name = %version-%release
Group:		Development/Other
Provides:	%name-devel = %version-%release

%description -n %name-devel
Cssed devel file.

%prep
%setup -q

%build
%configure2_5x
%make WARN_CFLAGS=""

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %name --with-gnome

# menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="x11" \
icon="%name.png" \
section=%section \
title="%title" \
longtitle="%Summary"
EOF

# icon
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
#install -m 644 src/pixmaps/%name.png %buildroot/%_datadir/pixmaps/%name.png
install -m 644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_liconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_iconsdir/%name.png

#%makeinstall
#for doc in AUTHORS README COPYING INSTALL NEWS ChangeLog; do
#	rm -f $RPM_BUILD_ROOT%{prefix}/doc/cssed/$doc;
#done;

%post
%update_menus

%postun
%clean_menus 

%clean
rm -rf %{buildroot}


%files -f %{name}.lang 
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README INSTALL NEWS
%{_bindir}/cssed
%dir %{_datadir}/cssed/
%{_datadir}/cssed/pixmaps/
%{_datadir}/cssed/data/
%{_mandir}/man1/cssed.1.bz2
%{_datadir}/locale/*/LC_MESSAGES/*
%{_libdir}/pkgconfig/%{name}.pc
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files -n %name-devel
%defattr(-,root,root)
%{_datadir}/%{name}/include/*.h

%changelog
* Thu Oct 21 2004 Michael Scherer <misc@mandrake.org> 0.3.0-2mdk 
- [DIRM]

* Mon Oct 11 2004 Jerome Soyer <saispo@mandrake.org> 0.3.0-1mdk
- 0.3.0

* Mon Aug 16 2004 Jerome Soyer <saispo@mandrake.org> 0.2.1-2mdk
- Fix menu

* Sun Jul 25 2004 Jerome Soyer <jerome.soyer@yahoo.fr> 0.2.1-1mdk
- First Mandrake Package
